Skip to main content
PUT
/
v1
/
webhooks
/
{id}
cURL
curl --request PUT \
  --url https://client-api.salesfinity.co/v1/webhooks/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "events": [
    "CALL_LOGGED"
  ],
  "dispositions": [
    123
  ]
}
'
{}
Updates an existing webhook configuration.

Path Parameters

  • id (required, string): Webhook ID

Request Body

FieldTypeRequiredDescription
namestringYesA descriptive name for the webhook
urlstringYesThe URL to receive webhook POST requests (must be a valid URL)
eventsstring[]YesArray of event types to subscribe to (CALL_LOGGED, CONTACT_SNOOZED)
dispositionsnumber[]NoFilter CALL_LOGGED events by disposition IDs

Example Request

{
  "name": "Updated CRM Sync",
  "url": "https://example.com/webhooks/v2/salesfinity",
  "events": ["CALL_LOGGED", "CONTACT_SNOOZED"],
  "dispositions": []
}

Response

Returns the updated webhook object, or 404 if not found.
{
  "_id": "507f1f77bcf86cd799439011",
  "name": "Updated CRM Sync",
  "url": "https://example.com/webhooks/v2/salesfinity",
  "events": ["CALL_LOGGED", "CONTACT_SNOOZED"],
  "dispositions": [],
  "status": "active",
  "createdAt": "2024-01-15T10:00:00.000Z",
  "updatedAt": "2024-01-20T14:00:00.000Z"
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Webhook ID

Body

application/json
name
string
required

A descriptive name for the webhook

url
string<uri>
required

The URL to receive webhook POST requests

events
enum<string>[]
required

Event types to subscribe to

Available options:
CALL_LOGGED,
CONTACT_SNOOZED
dispositions
integer[]

Filter CALL_LOGGED events by disposition IDs

Response

Webhook updated successfully

The response is of type object.